| acdpretty

## Function

ACD pretty printing utility

## Description

Acdpretty does not have its own command line. Instead, it will pretty print the ACD file of the program specified as the first parameter.

The program is not run.

## Usage

Here is a sample session with acdpretty

    % acdpretty qatest

    Created qatest.acdpretty

Go to the output files for this example

## Command line arguments

The first parameter is the name of the program to pretty print.

All other command line parameters and qualifiers are essentially ignored as processing stops once the ACD file is printed. A few of the general qualifiers have the potential to conflict with the function of acdpretty..

## Input file format

The input file is the ACD file for the specified program

## Output file format

The output file is a pretty printed copy of the original ACD file.

All sections and attributed will be indented. All values will be quoted. Lines will be wrapped at a reasonable width.

The output file is intended as a standard format for parsers used by GUI and other interface wrappers, rather than using the original ACD file directly.

### Output files for usage example

### File: qatest.acdpretty

    application: qatest [
      groups: "test"
      documentation: "ACD file for QA testing"
    ]

    sequence: asequence [
      parameter: "Y"
      features: "Y"
    ]

    sequence: bsequence [
      parameter: "Y"
    ]

    outfile: outfile [
      parameter: "Y"
    ]

    integer: aint [
      prompt: "first integer"
    ]

    integer: bint [
      prompt: "second integer, first was $(aint)"
      default: "57"
    ]

    string: testalen [
      standard: "Y"
      information: "asequence length $(asequence.length)"
    ]

    string: testblen [
      standard: "Y"
      information: "bsequence length $(bsequence.length)"
    ]

    string: outdir [
      information: "output directory"
    ]

    boolean: logic [
      information: "boolean value"
    ]

    outfile: outtest [
      parameter: "Y"
      odirectory: "$(outdir)"
    ]

    seqout: outseq [
      parameter: "Y"
      features: "Y"
      osdirectory: "$(outdir)"
      ofdirectory: "$(outdir)"
    ]

## Data files

None

## Notes

## References

## Warnings

None.

## Diagnostic Error Messages

## Exit status

It exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
acdc | ACD compiler
acdtable | Creates an HTML table from an ACD file
acdtrace | ACD compiler on-screen trace
acdvalid | ACD file validation

## Author(s)

Peter Rice (pmr © ebi.ac.uk)
Informatics Division, European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

## History

Completed 9th March 1999

## Target users

This program is intended to be used by developers of applications and interfaces.

## Comments

None